---
date: 2020-11-23
id: 51e8b29a-b87a-4022-8287-36b8090fe83b
title: Lowercase
---

# Description

Transforms every string character to lowercase for [string literal
types](20201123101810-typescript_template_literal_string_type).

# Syntax

``` typescript
type UnenthusiasticGreeting<T extends string> = `${Lowercase<T>}`

type HELLO = UnenthusiasticGreeting<"HELLO">;
// same as
//   type HELLO = "hello";
```
